### Function

# ICalGLib Component kind_is_valid

since: 1.0

#### Declaration [src]

    gboolean
    i_cal_component_kind_is_valid (
      const ICalComponentKind kind
    )

#### Description [src]

Checks if a `ICalComponentKind` is valid.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalComponentKind`

  A `ICalComponentKind`.

#### Return value

Type: `gboolean`

True if `kind` id a `ICalComponent` but not the I_CAL_NO_COMPONENT, false if not.